Skip to main content
Version: API v1

search for customer center menu

GET/v1/search
API version
v1
Request method
GET
Operation ID
search

search for accounts, reseller or domains

Request​

Responses​

Format
application/json
Description

The menu result

  • accountsarray of object
    • Array[
      • *object
        • account_uidnumber
          required
        • account_namestring
          required
        • account_descstring
          required
        • dom_liststring
          required
      ]
  • resellerarray of object
    • Array[
      • *object
        • reseller_uidnumber
          required
        • reseller_namestring
          required
        • reseller_descstring
          required
      ]
  • solrarray of object
    • Array[
      • *object
        • solr_uidnumber
          required
        • solr_namestring
          required
      ]
Content-Type: application/json

{
"accounts": [
{
"account_uid": 123,
"account_name": "string",
"account_desc": "string",
"dom_list": "string"
}
],
"reseller": [
{
"reseller_uid": 123,
"reseller_name": "string",
"reseller_desc": "string"
}
],
"solr": [
{
"solr_uid": 123,
"solr_name": "string"
}
]
}
{
"type": "object",
"properties": {
"accounts": {
"type": "array",
"items": {
"type": "object",
"required": [
"account_uid",
"account_name",
"account_desc",
"dom_list"
],
"properties": {
"account_uid": {
"type": "number"
},
"account_name": {
"type": "string"
},
"account_desc": {
"type": "string"
},
"dom_list": {
"type": "string"
}
}
}
},
"reseller": {
"type": "array",
"items": {
"type": "object",
"required": [
"reseller_uid",
"reseller_name",
"reseller_desc"
],
"properties": {
"reseller_uid": {
"type": "number"
},
"reseller_name": {
"type": "string"
},
"reseller_desc": {
"type": "string"
}
}
}
},
"solr": {
"type": "array",
"items": {
"type": "object",
"required": [
"solr_uid",
"solr_name"
],
"properties": {
"solr_uid": {
"type": "number"
},
"solr_name": {
"type": "string"
}
}
}
}
}
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/search?needle=string

On this page